Skip to main content
`Ctrl`+`K`

# scipy.special.chndtrix

scipy.special.chndtrix(p, df, nc, out=None) = <ufunc 'chndtrix'>

  Inverse to `chndtr` vs x

  Calculated using a search to find a value for x that produces the desired value of p.

  Parameters:
    p array_like

      Probability; must satisfy `0 <= p < 1`

    df array_like

      Degrees of freedom; must satisfy `df > 0`

    nc array_like

      Non-centrality parameter; must satisfy `nc >= 0`

    out ndarray, optional

      Optional output array for the function results

  Returns:
    x scalar or ndarray

      Value so that the probability a non-central Chi square random variable with df degrees of freedom and non-centrality, nc, is greater than x equals p.

  See also

  `chndtr`, `chndtridf`, `chndtrinc`